<?php
/*
Plugin Name: Обратный звонок
Plugin URI: http://www.shopos.ru/
Description: Можно заказать обратный звонок.
Version: 1.0
Author: Матецкий Евгений
Author URI: http://www.shopos.ru/
*/

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Обратный звонок</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8;" />
<script type="text/javascript">
function changeCallDay(val) {
	document.getElementById("time").style.display = (val > 0 ? "block" : "none");
}
</script>

<style>
	#feedback { font: 12px Arial, Helvetica, sans-serif; height:100%; }
	#feedback h1 { font: 19px Arial, Helvetica, sans-serif; color: #55667F; margin: 15px 15px 20px 30px;}
	#feedback textarea { width: 400px; height: 100px; margin:0; padding:0; }
	#feedback textarea.other_subject { width: 400px; height: 50px; }
	
	#feedback-form { padding:0 30px; }
	#feedback-form input.text { width: 400px; }
	
	#feedback-form-text { clear: both; float: left; width: 120px; margin: 7px 0 0 0; }
	#feedback-form-input { float: left; margin: 7px 0; height: 30px; }
	#feedback-form-kcap { float: left; margin: 7px 15px 20px 0; }
	#feedback-form-textarea { float: left; margin: 7px 0; }
	#feedback-form-sub { clear: both; text-align: center; }
	
	#feedback-form-desc { clear: both; font: 10px Arial, Helvetica, sans-serif; color: #777; text-align: left; }
	#feedback-footer { clear: both; padding: 18px 0 0 20px; }
	
	#wrapper-bottom {  }
	
	#other_subject { display:none; margin-top:15px; }
	
	select.time { width:70px; margin:0 12px; height:20px; }

	span.red { font: bold Arial, Helvetica, sans-serif; color: red; }
	div.done { margin: 15px 30px; height:500px; }
	span.done { font: bold 14px Arial, Helvetica, sans-serif; color: green; }
	div#time { display:none; }
	div#days { margin:7px 0; }
	div#days div { padding:2px 0; }
</style>

</head>
<body id="body-" style="background: ;">

<div id="minwidthdesc">
  <div id="maxwidthdesc">
    <div id="wrapper">
      <div id="wrapper-bottom">
	  <div id="navigationtop"></div>
		<form name="callback" method="post" action="<?php echo http_path('catalog').'index.php?page=call_back_submit_page'; ?>">
		<div id="feedback">
			<h1>Заказать обратный звонок</h1>
		
			<div id="feedback-form">
			<?php 
			if ( !empty($_SESSION['call_back_error']) ) 
			{
			   echo '<b>Ошибки заполнения формы:</b><br />';
			   echo '<font color="red"><b>'.$_SESSION['call_back_error'].'</b></font>';
			   echo '<br /><br />';
			}
			?>		
						В случае если Вы не можете до нас дозвониться, закажите обратный звонок на Ваш телефон через форму на сайте. Укажите в соответствующих полях контактные данные, и  оператор перезвонит Вам в течение 15-30 минут. Если Вы заполняете заявку не в рабочее время (22.00 - 8.00 Мск), укажите, пожалуйста, удобный для Вас временной интервал для последующего звонка. <br /><br /><br />
						
					

					<div id="feedback-form-text">
						<b>Ваше имя</b> <span class="red">*</span>
						
					</div>
					<div id="feedback-form-input">
						<input type="text" class="text" name="name" value="<?php if ( isset($_SESSION['call_back']['name'])) echo $_SESSION['call_back']['name']; ?>">
					</div>
					<div class="cleaner"></div>

					<div id="feedback-form-text">
						<b>Телефон</b> <span class="red">*</span>
						
					</div>
					<div id="feedback-form-input">
						<input type="text" class="text" name="phone" value="<?php if ( isset($_SESSION['call_back']['phone'])) echo $_SESSION['call_back']['phone']; ?>">
					</div>
					<div class="cleaner"></div>
					
					<div id="feedback-form-text">
						<b>E-mail</b> 
					</div>
					<div id="feedback-form-input">
						<input type="text" class="text" name="email" value="<?php if ( isset($_SESSION['call_back']['email'])) echo $_SESSION['call_back']['email']; ?>">
						<div id="feedback-form-desc">на этот адрес будет отправлено сообщение в случае недозвона</div>
					</div>
					<div class="cleaner"></div>
					
					<div id="feedback-form-text">
						<b>Тема</b> 
					</div>
					<div id="feedback-form-textarea">
						<select name="subject" onchange="check_other_subject(this)">
						<option value="0" <?php if ( !isset($_SESSION['call_back']['subject'])) echo 'selected'; ?>>---</option>
						
						<option value="1" <?php if ( isset($_SESSION['call_back']['subject']) && $_SESSION['call_back']['subject'] ==1) echo ' selected'; ?> >Сделать заказ</option>
						<option value="2"<?php if ( isset($_SESSION['call_back']['subject']) && $_SESSION['call_back']['subject'] ==2) echo ' selected'; ?> >Узнать о состоянии заказа</option>
						<option value="3"<?php if ( isset($_SESSION['call_back']['subject']) && $_SESSION['call_back']['subject'] ==3) echo ' selected'; ?> >Вопрос</option>
						<option value="4" <?php if ( isset($_SESSION['call_back']['subject']) && $_SESSION['call_back']['subject'] ==4) echo ' selected'; ?>>Предложение</option>
						<option value="5" <?php if ( isset($_SESSION['call_back']['subject']) && $_SESSION['call_back']['subject'] ==5) echo ' selected'; ?>>Другое...</option>					
						</select>
						<div id="other_subject" >
							<div id="feedback-form-desc">
								Уточните тему в комментарии, пожалуйста
							</div>
						</div>
					</div>
					<div class="cleaner"></div>

					<div id="feedback-form-text">
						<b>Комментарий</b> 
					</div>
					<div id="feedback-form-textarea">
						<textarea name="comment"><?php if ( isset($_SESSION['call_back']['comment'])) echo $_SESSION['call_back']['comment']; ?></textarea>
					</div>
					<div class="cleaner"></div>	
				<div id="feedback-form-text">
					<b>Время звонка</b> 
				</div>
				<div id="feedback-form-textarea">
					<div id="feedback-form-desc">Операторы работают с 8.00 до 22.00 по московскому времени. Укажите удобное время для звонка: </div>
					
					<div id="days">
						<div><input type="radio" name="call_day" value="0" onclick="changeCallDay(this.value)" checked> Сейчас</div>
						<div><input type="radio" name="call_day" value="1" onclick="changeCallDay(this.value)" > Сегодня, в другое время</div>
						<div><input type="radio" name="call_day" value="2" onclick="changeCallDay(this.value)" > Завтра</div>
						<div><input type="radio" name="call_day" value="3" onclick="changeCallDay(this.value)" > Послезавтра</div>
					</div>
					<div id="time" >
					C <select class="time" name="time_from">
								<option value="8.00" selected>8.00</option>
								<option value="8.30" >8.30</option>
								<option value="9.00" >9.00</option>
								<option value="9.30" >9.30</option>
								<option value="10.00" >10.00</option>
								<option value="10.30" >10.30</option>
								<option value="11.00" >11.00</option>
								<option value="11.30" >11.30</option>
								<option value="12.00" >12.00</option>
								<option value="12.30" >12.30</option>
								<option value="13.00" >13.00</option>
								<option value="13.30" >13.30</option>
								<option value="14.00" >14.00</option>
								<option value="14.30" >14.30</option>
								<option value="15.00" >15.00</option>
								<option value="15.30" >15.30</option>
								<option value="16.00" >16.00</option>
								<option value="16.30" >16.30</option>
								<option value="17.00" >17.00</option>
								<option value="17.30" >17.30</option>
								<option value="18.00" >18.00</option>
								<option value="18.30" >18.30</option>
								<option value="19.00" >19.00</option>
								<option value="19.30" >19.30</option>
								<option value="20.00" >20.00</option>
								<option value="20.30" >20.30</option>
								<option value="21.00" >21.00</option>
								<option value="21.30" >21.30</option>							
					</select>
					до <select class="time" name="time_to">
								<option value="8.00" >8.00</option>
								<option value="8.30" >8.30</option>
								<option value="9.00" >9.00</option>
								<option value="9.30" >9.30</option>
								<option value="10.00" >10.00</option>
								<option value="10.30" >10.30</option>
								<option value="11.00" >11.00</option>
								<option value="11.30" >11.30</option>
								<option value="12.00" >12.00</option>
								<option value="12.30" >12.30</option>
								<option value="13.00" >13.00</option>
								<option value="13.30" >13.30</option>
								<option value="14.00" >14.00</option>
								<option value="14.30" >14.30</option>
								<option value="15.00" >15.00</option>
								<option value="15.30" >15.30</option>
								<option value="16.00" >16.00</option>
								<option value="16.30" >16.30</option>
								<option value="17.00" >17.00</option>
								<option value="17.30" >17.30</option>
								<option value="18.00" >18.00</option>
								<option value="18.30" >18.30</option>
								<option value="19.00" >19.00</option>
								<option value="19.30" >19.30</option>
								<option value="20.00" >20.00</option>
								<option value="20.30" >20.30</option>
								<option value="21.00" >21.00</option>
								<option value="21.30" selected>21.30</option>							
					</select> Мск
					</div>
				</div>
				<div class="cleaner"></div>
					<div id="feedback-form-text">
						<b>Код</b> <span class="red">*</span> <br>
						
					</div>	
					<div id="feedback-form-kcap">
						<img style="border: solid 1px black;" src="<?php echo http_path('catalog').'captcha.php';?>">
					</div>
					<div id="feedback-form-input">
						<input type="text" class="text" name="keystring" style="width: 293px; top: 0px;"> <br />
					</div>
														
				<div id="feedback-form-sub">
					<input type="submit" value="Отправить" class="red-button"/>
				</div>			
			</div>
			</div>
		</form>

	<div id="space"></div>
	  </div>
    </div>     
  </div>         <!-- maxwidth       -->
</div>           <!-- minwidth       -->

<div id="beacon_20" style="position: absolute; left: 0px; top: 0px; visibility: hidden;">    



      </div>
</body>
</html>